#
# spec file for package kdiff3
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdiff3
Version:        0.9.98
Release:        lp150.1.7
Summary:        Feature-Rich Code Comparison Utility
License:        GPL-2.0+
Group:          Development/Tools/Version Control
Url:            http://kdiff3.sourceforge.net/
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  libkde4-devel
BuildRequires:  libkonq-devel
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{?kde4_runtime_requires}

%description
KDiff3 is a program that:

* Compares or merges two or three text input files or directories

* Shows the differences line-by-line and character-by-character

* Provides an automatic merge facility and an integrated editor for
   comfortably solving merge conflicts

* Supports KIO on KDE (allows accessing ftp, sftp, fish, smb, etc.)

* Has an intuitive graphical user interface

%lang_package
%prep
%setup -q

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  pushd build
  make DESTDIR=%{buildroot} install
  popd
  %suse_update_desktop_file -r kdiff3 Qt KDE Utility TextEditor X-KDE-Utilities-File
  %kde_post_install
  %find_lang %{name} %{name}.lang
  %find_lang kdiff3plugin %{name}.lang
  %find_lang kdiff3fileitemactionplugin %{name}.lang
  rm %{buildroot}%{_kde4_htmldir}/*/kdiff3/common
  %fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_kde4_applicationsdir}/kdiff3.desktop
%{_kde4_appsdir}/kdiff3/
%{_kde4_appsdir}/kdiff3part/
%{_kde4_bindir}/kdiff3
%{_kde4_iconsdir}/??color/*/apps/kdiff3.png
%{_kde4_modulesdir}/kdiff3fileitemaction.so
%{_kde4_servicesdir}/kdiff3part.desktop
%{_kde4_servicesdir}/kdiff3fileitemaction.desktop

%files lang -f %{name}.lang

%changelog
* Tue Nov 29 2016 olaf@aepfle.de
- Expand macro kde4_runtime_requires only when its available
  to fix quilt setup
* Wed Jun 24 2015 wbauer@tmo.at
- update to 0.9.98:
  * Text rendering now with QTextLayout fixes the following issues
    + Correct handling for variable width fonts.
    + Corrected display of highlighted text with Qt4.8.x on Ubuntu and Mac.
    + Improved handling of texts with both right to left and left to right languages (mixed Arabic and western texts).
    + Improved handling of Chinese and Japanese.
    + Whitespace characters are now shown as dots for spaces and arrows for tabs, and not only in differences.
  * Bugfixes.
- removed kdiff3-fix-save-relative-path.patch (included upstream)
* Fri Jul 26 2013 hrvoje.senjan@gmail.com
- BuildRequire only libkde4-devel, instead of kdebase4-workspace-devel
* Thu May  2 2013 aspiers@suse.com
- Add kdiff3-fix-save-relative-path.patch: fix saving merged
  files.  Patch is from: https://bugs.archlinux.org/task/31813
  and is already upstream.
* Tue Nov 20 2012 nico.kruber@gmail.com
- Fix the SLES build (%%make_install is not expanded on SLES)
* Tue Nov 20 2012 nico.kruber@gmail.com
- update to 0.9.97:
  * Memory usage optimized for comparison of large directories.
  * In overview for two way diff show if only one side contains text.
  * If text is selected in either input or output window use that in Find dialog.
  * Command line option --cs doesn't change the config value permanently anymore.
  * Windows 64 bit specific installer.
  * Bugfixes.
- removed libkdiff3part.so (not build anymore)
* Tue Oct 11 2011 dmueller@suse.de
- update to 0.9.96:
  * KDiff3FileItemActionPlugin : Context menu that also works in dolphin (for KDE>=4
  * Parser for preprocessor commands. (Allows single apostrophs ')
  * Fix crash on A/B-overview (infinite recursion)
  * Fix clearcase temp files not deleted problem on windows
  * KDiff3 plugin: When launching KDiff3 konqueror isn't blocked anymore
  * String corrections (Frederik Schwarzer)
  * Fixed writing to KIO.
  * Fixed white space merge default options
* Sat Sep 17 2011 toddrme2178@gmail.com
- Removed checks for obsolete openSUSE versions (fix for RPMLINT warnings)
- Added check for duplicate files (fix for RPMLINT warning)
- Cleaned up spec file formatting
* Tue Aug 10 2010 beineri@opensuse.org
- updated tarball to fix build
* Mon Mar  8 2010 coolo@novell.com
- do not package docs in both subpackages
* Wed May 20 2009 beineri@opensuse.org
- require kdiff3-lang
* Fri Mar  6 2009 wstephenson@suse.de
- update to 0.9.95:
  * Show line end style for each file
  * Translation update
  * Bugfixes
* Fri Feb 20 2009 dmueller@suse.de
- update to 0.9.94:
  * ported to KDE4
  * various smaller fixes
* Sat Feb 14 2009 coolo@suse.de
- call kde_post_install
* Mon Nov 17 2008 stbinner@suse.de
- install translations for kdiff3 menu plugin (bnc#442527)
* Wed Jun 13 2007 stbinner@suse.de
- running fdupes makes kdiff3.rpm 348KB smaller
* Sun Apr 15 2007 stbinner@suse.de
- update to version 0.9.92:
  * KDE-Konqueror plugin: Launch KDiff3 from Konqueror.
  * Temp file names use process id in file name for several instances.
  * New File comparison mode: Trust the size and date, but use
    binary comparison if date doesn't match (unsafe)
  * Open dialog also shows current dirs in directory comparison mode.
  * New option for history merge: Max number of history entries
  * New option "Auto save and quit on merge without conflicts"
  * Several Bugfixes
* Sun Nov  5 2006 stbinner@suse.de
- update to version 0.9.91:
  * Unicode autodetection based on byte-order-mark.
  * Fix for crash after double click below last line
  * Saving of maximized window-state (Patch by Robert Vock)
  * Separated Merge-options in own tab
  * When pasting multiple lines into openfile dialog only first
    line is kept
  * Drawing in directory view fixed.
  * When specifying a separate output dir then for equal files a
    copy operation will also be offered.
* Wed May 24 2006 adrian@suse.de
- fix build for < 10.1
* Tue May 16 2006 stbinner@suse.de
- update to version 0.9.90
  * Fixed KIO-problems of type "File exists" with tempfiles.
  * Fix for manual alignment with 3 files which caused crash.
  * Preserve executable bit when overwriting an existing file.
  * Documentation and translations updated.
* Mon Apr 10 2006 stbinner@suse.de
- update to version 0.9.89
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 25 2005 stbinner@suse.de
- update to version 0.9.88 (unicode support)
* Thu Feb 17 2005 adrian@suse.de
- menu entry moved to xdg dir
* Sat Sep  4 2004 coolo@suse.de
- fixing Makefile problems
* Sat Aug 28 2004 adrian@suse.de
- initial package of version 0.9.86
